%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Name:           python-fedwatch
Version:        0.2
Release:        1%{?dist}
Summary:        Tools for watching fedmsg messages and running arbitrary scripts

Group:          Development/Languages
License:        LGPLv2+
URL:            https://github.com/sochotnicky/fedwatch
Source0:        https://pypi.python.org/packages/source/f/fedwatch/fedwatch-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-dpath
BuildRequires:  fedmsg

Requires:       python-dpath
Requires:       fedmsg
Requires:       python-fedmsg-meta-fedora-infrastructure
%if 0%{?rhel} && 0%{?rhel} <= 6
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
%else
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd
%endif

%description
Tool and library for watching fedmsg messages and running arbitrary scripts in a nice
way. 

Think of fedwatch as simple converter from fedmsg json messages into shell
arguments for scripts.

%prep
%setup -q -n fedwatch-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?rhel} && 0%{?rhel} <= 6
mkdir -p %{buildroot}/%{_initddir}
cp fedwatch.init %{buildroot}/%{_initddir}/fedwatch
%else
mkdir -p %{buildroot}/%{_unitdir}
cp fedwatch.service %{buildroot}/%{_unitdir}/
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add fedwatch

%preun
if [ $1 -eq 0 ] ; then
    /sbin/service fedwatch stop >/dev/null 2>&1
    /sbin/chkconfig --del fedwatch
fi
%else
%post
%systemd_post fedwatch.service

%preun
%systemd_preun fedwatch.service

%postun
%systemd_postun_with_restart fedwatch.service
%endif

%files
%doc README.md LICENSE
%doc examples
%{python_sitelib}/fedwatch*
%{_bindir}/fedwatch
%if 0%{?rhel} && 0%{?rhel} <= 6
%attr(755, root, root) %{_initddir}/fedwatch
%else
%{_unitdir}/fedwatch.service
%endif

%changelog
* Thu Mar 20 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.2-1
- Update to new upstream version
- Add support for systemd and init

* Wed Mar 19 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.1-1
- Initial packaging

